package com.huimv.eartag2.manage.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2022-07-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("eartag_device_register")
public class EartagDeviceRegister implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
     private Integer id;

    @TableLogic
    private  byte isDeleted;

    private String deviceCode;

    private String chipId;

    private String countyCode;

    private String countyName;

    private String farmId;

    private String farmName;

    private Integer typeF;

    private Integer stage;

    private Integer pigpenId;

    private Integer unitId;

    private Date registerTime;

    private Date lastTime;

    private Integer activeStatus;

    private Date activeTime;

    private Integer deviceStatus;

    private String deviceAlias;

    private String location;

    private String remark;

    private Date createDate;

    private String updateType;

    private Date syncTime;

    private Integer deviceType;

    private String imei;
    private Integer upgrade;
    private Integer farmerId;
    private String farmerName;
//    private String iphone;

}
